%define         anolis_release 17

Name:           jbigkit
Version:        2.1
Release:        %{anolis_release}%{?dist}
Summary:        JBIG1 lossless image compression tools
License:        GPLv2+
URL:            http://www.cl.cam.ac.uk/~mgk25/%{name}/
Source0:        https://www.cl.cam.ac.uk/~mgk25/%{name}/download/%{name}-%{version}.tar.gz

Patch0:         0001-%{name}-2.1-shlib.patch
Patch1:         0002-%{name}-2.0-warnings.patch
Patch2:         0003-%{name}-ldflags.patch
Patch3:         0004-%{name}-covscan.patch

BuildRequires: gcc make

Requires:       %{name}-libs = %{version}-%{release}

%description
JBIG-KIT is a software implementation of the JBIG1 data compression
standard (ITU-T T.82), which was designed for bi-level image data,
such as scanned documents. This library is available in portable C
code. It is widely used in fax products, printer firmware, printer
drivers, document management systems and imaging software.

The package includes two variant implementations: jbig.c implements
nearly all options of the standard, but has to keep the full
uncompressed image in memory, whereas jbig85.c implements just the
ITU-T T.85 profile, with memory management optimized for embedded
and fax applications, buffering only a few lines of the uncompressed
image in memory, able to stream images of initially unknown height.

%package libs
Summary:        Libraries for %{name}

%description libs
The %{name}-libs provides libraries for %{name}.

%package devel
Summary:        Files for %{name} development
Requires:       %{name}-libs = %{version}-%{release}

%description devel
The %{name}-devel package contains files needed for %{name} development.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name}-libs = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%set_build_flags
%make_build

%install
mkdir -p %{buildroot}%{_libdir}
install -p -m0755 libjbig/libjbig.so.%{version} %{buildroot}/%{_libdir}
install -p -m0755 libjbig/libjbig85.so.%{version} %{buildroot}/%{_libdir}
ln -sf libjbig.so.%{version} %{buildroot}/%{_libdir}/libjbig.so
ln -sf libjbig85.so.%{version} %{buildroot}/%{_libdir}/libjbig85.so

mkdir -p %{buildroot}%{_includedir}
install -p -m0644 libjbig/jbig.h %{buildroot}%{_includedir}
install -p -m0644 libjbig/jbig85.h %{buildroot}%{_includedir}
install -p -m0644 libjbig/jbig_ar.h %{buildroot}%{_includedir}

mkdir -p %{buildroot}%{_bindir}
install -p -m0755 pbmtools/???to??? %{buildroot}%{_bindir}
install -p -m0755 pbmtools/???to???85 %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_mandir}/man1
install -p -m0644 pbmtools/*.1 %{buildroot}%{_mandir}/man1

%generate_compatibility_deps

%check
make test

%files
%license COPYING
%{_bindir}/???to*
%{_mandir}/man1/*

%files devel
%{_libdir}/libjbig*.so
%{_includedir}/jbig*.h

%files libs
%license COPYING
%dir %{abidir}
%{abidir}/libjbig*.dump
%{_libdir}/libjbig*.so.%{version}

%files doc
%doc ANNOUNCE TODO CHANGES

%changelog
* Thu Apr 13 2023 Jing Zhang <renyu.zj@linux.alibaba.com> - 2.1-17
- Refact spec

* Tue Mar 28 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.1-16
- Del Specific Fields

* Mon Jan 2 2023 Funda Wang <fundawang@yeah.net> - 2.1-15
- Bump release for upgrading from anolis 8

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.1-3
- optimise spec file

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.1-2
- add doc package

* Mon Apr 18 2022 yuanhui <yuanhui@linux.alibaba.com> - 2.1-1
- Init jbigkit for anolis os 23
